Botan 1.10.17

Classes | Namespaces | Functions
tls_reader.h File Reference
`#include <botan/secmem.h>`
`#include <botan/loadstor.h>`

Go to the source code of this file.

## Classes
class | Botan::TLS_Data_Reader

## Namespaces
| Botan

## Functions
template<typename T >
void | Botan::append_tls_length_value (MemoryRegion< byte > &buf, const T *vals, size_t vals_size, size_t tag_size)
template<typename T >
void | Botan::append_tls_length_value (MemoryRegion< byte > &buf, const MemoryRegion< T > &vals, size_t tag_size)
template<typename T >
void | Botan::append_tls_length_value (MemoryRegion< byte > &buf, const std::vector< T > &vals, size_t tag_size)